%global target sdl

Summary:	An emulator of 8-bit Atari personal computers
Name:		atari800
Version:	2.2.1
Release:	2%{?dist}
License:	GPLv2+
URL:		http://atari800.sourceforge.net/
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	atari800.desktop
Source2:	atari800.cfg
Source3:	atari800-session
Source4:	atari800-session.desktop
Patch0:		atari800-2.1.0-nostrip.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	SDL-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	readline-devel
BuildRequires:	desktop-file-utils

%description
Atari800 is an emulator for the 800, 800XL, 130XE and 5200 models of
the Atari personal computer. It can be used on console, FrameBuffer or X11.
It features excellent compatibility, HIFI sound support, artifacting
emulation, precise cycle-exact ANTIC/GTIA emulation and more.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .nostrip

pushd src
# fix permissions on source files
chmod a-x *.{c,h} vtxsmpls.inc
chmod a-x atari_ntsc/*.{c,h}
popd


%build
pushd src
%configure --target=%{target}
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd src
make install DESTDIR=$RPM_BUILD_ROOT
popd

desktop-file-install					\
%if 0%{?rhel} && 0%{?rhel} < 6
		    --vendor fedora			\
%endif
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}

# default config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

# session support
install -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xsessions
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop

# other dirs
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# clean preinstalled docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group %{name} >/dev/null || groupadd -r %{name}


%files
%defattr(-,root,root,-)
%doc COPYING README.1ST DOC/{BUGS,CREDITS,FAQ,INSTALL,NEWS,README,USAGE,cart.txt,rdevice_faq.txt}
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{_bindir}/%{name}
%{_bindir}/%{name}-session
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/xsessions/%{name}.desktop


%changelog
* Mon May 16 2011 Dan Horák <dan[at]danny.cz> 2.2.1-2
- add support for atari800 session
- create atari800 group

* Fri May 13 2011 Dan Horák <dan[at]danny.cz> 2.2.1-1
- update to 2.2.1

* Sun Apr 10 2011 Dan Horák <dan[at]danny.cz> 2.2.0-1
- update to 2.2.0

* Thu Apr  2 2009 Dan Horák <dan[at]danny.cz> 2.1.0-1
- update to 2.1.0

* Sat Oct  6 2007 Dan Horák <dan[at]danny.cz> 2.0.3-1
- first Fedora version based on upstream
